import * as React from 'react';
import * as AlertDialogPrimitive from '@radix-ui/react-alert-dialog';
import { VariantProps } from 'class-variance-authority';
import { alertDialogContentVariants, alertDialogFooterVariants, alertDialogHeaderVariants } from './variants';
interface AlertDialogContentVariants extends VariantProps<typeof alertDialogContentVariants> {
}
interface AlertDialogHeaderVariants extends VariantProps<typeof alertDialogHeaderVariants> {
}
interface AlertDialogHeaderProps extends React.HTMLAttributes<HTMLDivElement> {
    variants: AlertDialogHeaderVariants;
    showCloseIcon?: boolean;
    closeModal: () => void;
}
interface AlertDialogFooterVariants extends VariantProps<typeof alertDialogFooterVariants> {
}
declare const _default: {
    AlertDialog: React.FC<AlertDialogPrimitive.AlertDialogProps>;
    AlertDialogPortal: React.FC<AlertDialogPrimitive.AlertDialogPortalProps>;
    AlertDialogOverlay: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogOverlayProps & React.RefAttributes<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
    AlertDialogTrigger: React.ForwardRefExoticComponent<AlertDialogPrimitive.AlertDialogTriggerProps & React.RefAttributes<HTMLButtonElement>>;
    AlertDialogContent: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogContentProps & React.RefAttributes<HTMLDivElement>, "ref"> & {
        variant: AlertDialogContentVariants;
    } & React.RefAttributes<HTMLDivElement>>;
    AlertDialogHeader: {
        ({ className, children, variants, showCloseIcon, closeModal, ...props }: AlertDialogHeaderProps): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    AlertDialogFooter: {
        ({ className, variants, ...props }: React.HTMLAttributes<HTMLDivElement> & {
            variants: AlertDialogFooterVariants;
        }): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    AlertDialogTitle: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogTitleProps & React.RefAttributes<HTMLHeadingElement>, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
    AlertDialogDescription: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogDescriptionProps & React.RefAttributes<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
    AlertDialogAction: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogActionProps & React.RefAttributes<HTMLButtonElement>, "ref"> & React.RefAttributes<HTMLButtonElement>>;
    AlertDialogCancel: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogCancelProps & React.RefAttributes<HTMLButtonElement>, "ref"> & React.RefAttributes<HTMLButtonElement>>;
};
export default _default;
