/// <reference types="react" />
import { CardFooterVariants, CardTitleVariant, CardVariant } from './variants';
interface CardTitleProps {
    children: string | JSX.Element;
    variant: CardTitleVariant;
    className?: string;
    onClick?: () => void;
}
interface ICardProps extends React.HTMLAttributes<HTMLDivElement> {
    variant: CardVariant;
    titleToShow: string | JSX.Element;
    defaultOpen?: boolean;
    canCloseContent?: boolean;
    contentClassName?: string;
    accordionClassName?: string;
}
interface CardFooterVariant {
    children: React.ReactNode;
    variant: CardFooterVariants;
    className?: string;
}
export declare const Card: ({ children, variant, className, titleToShow, defaultOpen, canCloseContent, contentClassName, accordionClassName, ...restProps }: ICardProps) => import("react/jsx-runtime").JSX.Element;
declare const _default: {
    Wrapper: ({ children, variant, className, titleToShow, defaultOpen, canCloseContent, contentClassName, accordionClassName, ...restProps }: ICardProps) => import("react/jsx-runtime").JSX.Element;
    Footer: ({ children, className, variant }: CardFooterVariant) => import("react/jsx-runtime").JSX.Element;
    Header: ({ children, variant, className, onClick }: CardTitleProps) => import("react/jsx-runtime").JSX.Element;
    Tilte: ({ letter, title }: {
        letter?: string | undefined;
        title: string;
    }) => import("react/jsx-runtime").JSX.Element;
};
export default _default;
