import React from 'react';
import { DeepPartial, FieldErrors, UseFormReturn } from 'react-hook-form';
import * as yup from 'yup';
interface ISubmitModulesForm<T> {
    children: React.ReactNode;
    schema?: yup.ObjectSchema<DeepPartial<T>>;
    submit?: (data: T, methods?: UseFormReturn<DeepPartial<T>, any, undefined>) => void;
    onError?: (handler: FieldErrors<any>) => void;
    defaultValue?: any;
    values?: any;
    className?: string;
}
export declare function AppFormProvider<T>({ children, submit, defaultValue, values, schema, className }: ISubmitModulesForm<T>): import("react/jsx-runtime").JSX.Element;
export declare function BasicFormProvider<T>({ children, submit, onError, defaultValue, values, schema, className }: ISubmitModulesForm<T>): import("react/jsx-runtime").JSX.Element;
export {};
