import { HTMLAttributes } from 'react';
import { VariantProps } from 'class-variance-authority';
declare const TagVariants: (props?: ({
    variant?: "error" | "blank" | "success" | "purple" | "orange" | "info" | null | undefined;
    border?: "color" | "none" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
export interface TagVariantTypes extends VariantProps<typeof TagVariants> {
}
export interface TableTagProps extends HTMLAttributes<HTMLDivElement>, TagVariantTypes {
    options: Record<string, {
        label: string;
        variant?: TagVariantTypes['variant'];
        border?: TagVariantTypes['border'];
    }>;
}
declare const TableTag: ({ options, className, variant, ...restProps }: TableTagProps) => import("react/jsx-runtime").JSX.Element;
export default TableTag;
