import { JSXElementConstructor } from 'react';
import { type ICheckBoxProps } from './CheckBox.tsx';
import { type IInputRadioProps } from './InputRadio.tsx';
import { type TableTagProps } from './Tag.tsx';
import { type ITdCheckBoxProps } from './TdCheckBox.tsx';
import { IThGroupWrapperProps } from './ThGroupBy.tsx';
declare const govcoComponents: {
    readonly TableTag: ({ options, className, variant, ...restProps }: TableTagProps) => import("react/jsx-runtime").JSX.Element;
    readonly CheckBox: ({ targetId, oneTarget, ...props }: ICheckBoxProps & {
        data?: any;
    }) => import("react/jsx-runtime").JSX.Element;
    readonly InputRadio: ({ className, targetId, oneTarget, ...props }: IInputRadioProps & {
        data?: any;
    }) => import("react/jsx-runtime").JSX.Element;
    readonly TdCheckBox: ({ targetId, ...props }: ITdCheckBoxProps & {
        data?: any;
    }) => import("react/jsx-runtime").JSX.Element;
    readonly ThGroupBy: ({ requestType, thLabel, className, cellParam, isLastTh, ...restProps }: IThGroupWrapperProps) => import("react/jsx-runtime").JSX.Element;
};
export type TableComponentsKeys = keyof typeof govcoComponents;
export type govcoComponentsProps = {
    TableTag: TableTagProps;
    CheckBox: ICheckBoxProps;
    InputRadio: IInputRadioProps;
    TdCheckBox: ITdCheckBoxProps;
    ThGroupBy: IThGroupWrapperProps;
};
type TableTagComponentProps = {
    componentKey: 'TableTag';
} & TableTagProps;
type CheckBoxComponentProps = {
    componentKey: 'CheckBox';
} & ICheckBoxProps;
type InputRadioComponentProps = {
    componentKey: 'InputRadio';
} & IInputRadioProps;
type TdCheckBoxComponentProps = {
    componentKey: 'TdCheckBox';
} & ITdCheckBoxProps;
type ThGroupByComponentProps = {
    componentKey: 'ThGroupBy';
} & IThGroupWrapperProps;
export type WrapperTableComponentsProps = (TableTagComponentProps | CheckBoxComponentProps | InputRadioComponentProps | TdCheckBoxComponentProps | ThGroupByComponentProps) & {
    data?: any;
};
export type AppWrapperTableComponentsProps = {
    govco: Record<TableComponentsKeys, JSXElementConstructor<govcoComponentsProps[TableComponentsKeys]>>;
};
declare const _default: {
    govco: {
        readonly TableTag: ({ options, className, variant, ...restProps }: TableTagProps) => import("react/jsx-runtime").JSX.Element;
        readonly CheckBox: ({ targetId, oneTarget, ...props }: ICheckBoxProps & {
            data?: any;
        }) => import("react/jsx-runtime").JSX.Element;
        readonly InputRadio: ({ className, targetId, oneTarget, ...props }: IInputRadioProps & {
            data?: any;
        }) => import("react/jsx-runtime").JSX.Element;
        readonly TdCheckBox: ({ targetId, ...props }: ITdCheckBoxProps & {
            data?: any;
        }) => import("react/jsx-runtime").JSX.Element;
        readonly ThGroupBy: ({ requestType, thLabel, className, cellParam, isLastTh, ...restProps }: IThGroupWrapperProps) => import("react/jsx-runtime").JSX.Element;
    };
};
export default _default;
