import { FC } from 'react';
import { CheckBoxProps, InputMoneyProps, InputProps, RadioProps, SelectProps, SwitchProps, TextAreaProps } from '@components/Inputs';
import { ITableItem } from '../main';
type PropsFormInput = InputProps & {
    currentId: string;
    dependentId?: string;
};
type PropsFormTextArea = TextAreaProps & {
    currentId: string;
};
type PropsFormSelect = SelectProps & {
    currentId: string;
};
type PropsFormSelectByAnotherField = Omit<PropsFormSelect, 'selectOptions'> & {
    targetValue: string;
    fetchOptions: (data?: any) => Promise<Record<string, any>[]>;
};
type PropsCalcInput = InputMoneyProps & {
    currentId: string;
    exact?: boolean;
};
type PropsSwitchInput = SwitchProps & {
    currentId: string;
};
type PropsRadioInput = RadioProps & {
    currentId: string;
};
type PropsCheckBoxInput = CheckBoxProps & {
    currentId: string;
};
interface IFormMultiCheckTable {
    tableConfig: ITableItem[];
    data: any[];
    currentId: string;
}
type InputFileProps = {
    multiple?: boolean;
    disabled?: boolean;
    options?: any;
    loading?: boolean;
    title?: string;
    actualLength?: number;
    showLength?: boolean;
    placeholder?: string;
    className?: string;
    textColor?: string;
    infoBoolean?: boolean;
    currentValue?: any;
    type?: React.HTMLInputTypeAttribute | undefined;
    inputProps?: React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
    maxLength?: number;
    fieldError?: string | undefined;
    infoText?: string;
};
type InputPropsPass = InputFileProps & {
    title?: string;
    currentId: string;
    defaultIcon?: React.ReactNode;
    supportedFiles?: string[];
    noModalDeleteImage?: boolean;
    baseURL: string;
};
export declare const InputFileSimpleContext: ({ loading, multiple, currentId, inputProps, fieldError, defaultIcon, supportedFiles, noModalDeleteImage, ...res }: InputPropsPass) => import("react/jsx-runtime").JSX.Element;
declare const _default: {
    InputFormCntx: FC<PropsFormInput>;
    SelectFormCntx: FC<PropsFormSelect>;
    TextAreaFormCntx: FC<PropsFormTextArea>;
    CalcInput: FC<PropsCalcInput>;
    SelectByAnotherField: FC<PropsFormSelectByAnotherField>;
    SwitchFormCntx: FC<PropsSwitchInput>;
    RadioFormCntx: FC<PropsRadioInput>;
    CheckBoxFormCntx: FC<PropsCheckBoxInput>;
    InputFormCntxDependentCheckbox: FC<PropsFormInput>;
    FormTableConceptosCntx: ({ headers, data }: {
        headers: import("react").ReactNode[];
        data: import("react").ReactNode[][];
    }) => import("react/jsx-runtime").JSX.Element;
    InputFileSimpleContext: ({ loading, multiple, currentId, inputProps, fieldError, defaultIcon, supportedFiles, noModalDeleteImage, ...res }: InputPropsPass) => import("react/jsx-runtime").JSX.Element;
    FormMultiCheckTable: ({ tableConfig, data, currentId }: IFormMultiCheckTable) => import("react/jsx-runtime").JSX.Element;
};
export default _default;
